<template>
    <div>
        <div class="container-fluid mt--7">
            <div class="row">
                <div class="col-xl-8 order-xl-2 mb-5 mb-xl-0">
                    <card shadow type="secondary">
                        <div slot="header" class="bg-white border-0">
                            <div class="row align-items-center">
                                <div class="col-12">
                                    <h3 class="mb-0">Phase</h3>
                                </div>
                            </div>
                        </div>
                        <base-button @click.prevent="setPhase(0)" class="mt-5" :outline="phase == 0 ?  false : true" type="default">New</base-button>
                        <base-button @click.prevent="setPhase(1)" class="mt-5" :outline="phase == 1 ?  false : true" type="primary">Contacted</base-button>
                        <base-button @click.prevent="setPhase(2)" class="mt-5" :outline="phase == 2 ?  false : true" type="info">Made an appointment</base-button>
                        <base-button @click.prevent="setPhase(3)" class="mt-5" :outline="phase == 3 ?  false : true" type="success">Received Order</base-button>
                        <base-button @click.prevent="setPhase(4)" class="mt-5" :outline="phase == 4 ?  false : true" type="danger">Not interested (client)</base-button>
                        <base-button @click.prevent="setPhase(5)" class="mt-5" :outline="phase == 5 ?  false : true" type="danger">Not interested (lawyer)</base-button>
                    </card>
                </div>

                <div class="col-xl-4 order-xl-1">
                    <card shadow type="secondary">
                        <div slot="header" class="bg-white border-0">
                            <div class="row align-items-center">
                                <div class="col-12">
                                    <h3 class="mb-0">Contact</h3>
                                </div>
                            </div>
                        </div>
                        <template>
                            <h4>Name: </h4><p>{{name}}</p>
                            <h4>Email: </h4><p>{{email}}</p>
                            <h4>Phone: </h4><p>{{phone}}</p>
                        </template>
                    </card>
                </div>
            </div>
        </div>
    </div>
</template>
<script>
    import {required} from 'vuelidate/lib/validators'
    import {SpringSpinner} from 'epic-spinners'
    import Vue from 'vue'

    export default {
        name: 'user-profile',
        auth: 'auth',
        data() {
            return {
                name: 'John Doe',
                email: 'john@doe.de',
                phone: '',
                phase: 0
            }
        },
        mounted() {
            this.setData();
        },
        methods: {
            setData() {
                let contact =  this.$auth.user.contacts.find(x => x._id === this.$route.params.id);
                this.name = contact.name
                this.email = contact.email
                this.phone = contact.phone
                this.phase = contact.phase
            },
            setPhase(id) {
                this.phase = id,
                this.$axios.put(process.env.BACKEND_API + '/contact/changePhase/'+this.$route.params.id, {
                    "phase": id
                }).then(results => {
                    Vue.notify({
                        group: 'foo',
                        type: 'success',
                        title: 'Phase',
                        text: 'Successfully changed phase!'
                    })
                    this.$auth.fetchUser()
                }).catch(error => {
                    console.log(error);
                });

            }
        }
    };
</script>
<style></style>
